Subject: FVWM: fvwm 2.0.43 crashes using FvwmForm

From: "Peter E. Giza" <[email-masked]>
Date: Thu, 22 Aug 1996 14:41:37 -0400

Has anybody seen use of FvwmForm cause fvwm to crash?  I have an Ultra
140 running
SunOS oz 5.5.1 Generic sun4u sparc SUNW,Ultra-1 and if I click cancel or
close this
causes fvwm to die.  The following is the stack trace of the SEGV that I
havn't had
time to chase as of yet.  If anyone has seen this I'd like to know if
I've done
a bad thing somewhere in the install, etc.

Thanks

-pete

[email-masked]

(/opt/SUNWspro/bin/dbx) where
=>[1] realfree(0x4e73740c, 0x5f0, 0xef595764, 0x425a4, 0x5f0,
0x4e6f4e61), at 0xef54b8d4
  [2] cleanfree(0x0, 0x0, 0xef595768, 0xef5957e8, 0x0, 0xef5957bc), at
0xef54c1b0
  [3] _malloc_unlocked(0x10, 0xa, 0x772d8, 0xef6cd584, 0x0, 0x1f0), at
0xef54b2c4
  [4] malloc(0x10, 0xeffff4b8, 0xeffff4a8, 0x0, 0xef573164, 0x0), at
0xef54b1bc
  [5] safemalloc(0x10, 0x4004667f, 0xeffff5f4, 0x0, 0xef6cd5ac,
0x4394c), at 0x30cb0
  [6] AddToQueue(0x2, 0xeffff62c, 0x24, 0x0, 0x0, 0x46258), at 0x255e4
  [7] PositiveWrite(0x2, 0xeffff62c, 0x24, 0x0, 0x80019a, 0x0), at
0x255b8
  [8] Broadcast(0x40, 0x5, 0x0, 0x0, 0x0, 0x1), at 0x250e4
  [9] HandleFocusIn(0x1, 0x434e8, 0x4, 0x46fd8, 0x8001b1, 0x772f0), at
0x17548
  [10] HandleEvents(0x44720, 0x0, 0x80015b, 0x175, 0x73, 0x46334), at
0x171c4
  [11] main(0x0, 0xeffffc0c, 0xeffffc14, 0x43400, 0x1, 0x0), at 0x15aec
(/opt/SUNWspro/bin/dbx)
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].